package didemo;

import java.sql.*;
import javax.sql.DataSource;
import org.junit.*;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.*;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith( SpringJUnit4ClassRunner.class )
@ContextConfiguration( classes = MainApp.class )
// @ActiveProfiles( "dev" )
public class MeineDataSourceTest
{
   @Autowired
   private DataSource ds;

   @Test
   public void test() throws SQLException
   {
      Assert.assertNotNull( "DataSource ist null", ds );
      DatabaseMetaData md = ds.getConnection().getMetaData();
      System.out.println(
            "\nDB:  " + md.getDatabaseProductName() + " " + md.getDatabaseProductVersion() + ", " + md.getDriverName() +
            ",\nURL: " + md.getURL() + ", User: " + md.getUserName() + "\n" );
      try( ResultSet rs = ds.getConnection().createStatement().executeQuery( "Select * from MeineEntity" ) ) {
         ResultSetMetaData rsmd = rs.getMetaData();
         int n = rsmd.getColumnCount();
         while( rs.next() ) {
            for( int i = 1; i <= n; i++ ) {
               System.out.println( rsmd.getColumnName( i ) + ": " + rs.getString( i ) );
            }
         }
      } catch( org.h2.jdbc.JdbcSQLException ex ) {
         System.out.println( ex.getMessage() );
      }
   }
}
