package mvcdemo;

import java.util.*;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

/** Controller-Klasse fuer die Webseite MeineEntityWebseite.html */
@Controller
@RequestMapping( "/mvc-th" )
public class MeineEntityController
{
   private List<MeineEntity> entitiesListe = new ArrayList<>();

   @RequestMapping( method=RequestMethod.POST )
   public synchronized String addToListe( MeineEntity newEntity )
   {
      newEntity.setDate( new Date() );
      newEntity.setId( Long.valueOf( entitiesListe.size() ) );
      entitiesListe.add( newEntity );
      return "redirect:/mvc-th";
   }

   @RequestMapping( method=RequestMethod.GET )
   public String getListe( Model model )
   {
      model.addAttribute( "entitiesListe", Collections.unmodifiableList( entitiesListe ) );
      return "MeineEntityWebseite";
   }
}
