package mvcdemo;

import java.util.*;
import org.springframework.stereotype.Component;

@Component
public class DatenRepositoryImpl implements DatenRepository
{
   private List<MeineEntity> entitiesListe = new ArrayList<>();

   @Override
   public synchronized void addToRepository( MeineEntity newEntity )
   {
      if( newEntity.getId()   == null ) { newEntity.setId( Long.valueOf( entitiesListe.size() ) ); }
      if( newEntity.getDate() == null ) { newEntity.setDate( new Date() ); }
      entitiesListe.add( newEntity );
   }

   @Override
   public List<MeineEntity> getAll()
   {
      return Collections.unmodifiableList( entitiesListe );
   }
}
