package mvcdemo;

import java.text.SimpleDateFormat;
import java.util.Date;

/** Einzelnes Datenelement */
public class MeineEntity
{
   private Long   id;
   private Date   date;
   private String text;

   public MeineEntity() {}

   public MeineEntity( Long id, Date date, String text ) {
      this.id   = id;
      this.date = date;
      this.text = text;
   }

   public Long   getId()   { return id;   }
   public Date   getDate() { return date; }
   public String getText() { return text; }
   public void setId(   Long   id   ) { this.id   = id;   }
   public void setDate( Date   date ) { this.date = date; }
   public void setText( String text ) { this.text = text; }

   public String getDatumZeit() {
      return ( date == null ) ? "null" : (new SimpleDateFormat( "yyyy-MM-dd HH:mm:ss" )).format( date );
   }

   @Override
   public String toString() {
      return "[id=" + id + ", datum=" + getDatumZeit() + ", text=" + text + "]";
   }

   @Override
   public int hashCode() {
      return ("" + id).hashCode() + ("" + date).hashCode() + ("" + text).hashCode();
   }

   @Override
   public boolean equals( Object obj ) {
      if( obj == null || !(obj instanceof MeineEntity) ) { return false; }
      MeineEntity me = (MeineEntity) obj;
      return isEqual( me.getId(), id ) && isEqual( me.getDate(), date ) && isEqual( me.getText(), text );
   }

   private static boolean isEqual( Object obj1, Object obj2 ) {
      if( obj1 == obj2 ) { return true; }
      if( obj1 == null || obj2 == null ) { return false; }
      return obj1.equals( obj2 );
   }
}
