package mvcdemo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

/** Controller-Klasse fuer die Webseite MeineEntityWebseite.html */
@Controller
@RequestMapping( "/mvc-th" )
public class MeineEntityController
{
   private DatenRepository datenRepo;

   @Autowired
   public MeineEntityController( DatenRepository datenRepo )
   {
      this.datenRepo = datenRepo;
   }

   @RequestMapping( method=RequestMethod.POST )
   public String addToListe( MeineEntity newEntity )
   {
      datenRepo.addToRepository( newEntity );
      return "redirect:/mvc-th";
   }

   @RequestMapping( method=RequestMethod.GET )
   public String getListe( Model model )
   {
      model.addAttribute( "entitiesListe", datenRepo.getAll() );
      return "MeineEntityWebseite";
   }
}
